# generated by cabal-rpm-0.13
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name ShellCheck
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           %{pkg_name}
Version:        0.6.0
Release:        3%{?dist}
Summary:        Shell script analysis tool

License:        GPLv3+
Url:            https://www.shellcheck.net/
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# https://bugzilla.redhat.com/show_bug.cgi?id=1707331
Patch0:         https://github.com/koalaman/shellcheck/commit/138080bd.patch

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-tdfa-devel
# End cabal-rpm deps

%description
The goals of ShellCheck are:

* To point out and clarify typical beginner's syntax issues,
  that causes a shell to give cryptic error messages.

* To point out and clarify typical intermediate level semantic problems,
  that causes a shell to behave strangely and counter-intuitively.

* To point out subtle caveats, corner cases and pitfalls, that may cause an
  advanced user's otherwise working script to fail under future circumstances.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
# Begin cabal-rpm setup:
%autosetup -p1
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install

install -Dpm 0644 shellcheck.1 %{buildroot}%{_mandir}/man1/shellcheck.1


%check
%cabal_test


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
# Begin cabal-rpm files:
%license LICENSE
%doc README.md
%{_bindir}/shellcheck
# End cabal-rpm files
%{_mandir}/man1/shellcheck.1*


%files -n ghc-%{name} -f ghc-%{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc README.md


%changelog
* Sat Jul 27 2019 Jens Petersen <petersen@redhat.com> - 0.6.0-3
- refresh to cabal-rpm-0.13

* Sat May 18 2019 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.6.0-2
- Add upstream patch for BZ#1707331 (infinite loop on annotations for SC2188)

* Mon Dec 03 2018 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Tue Oct  9 2018 Jens Petersen <petersen@redhat.com> - 0.5.0-4
- rebuild for static executable

* Sat Jul 28 2018 Jens Petersen <petersen@redhat.com> - 0.5.0-3
- rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 03 2018 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Jens Petersen <petersen@redhat.com> - 0.4.7-2
- rebuild

* Sun Dec 10 2017 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.4.7-1
- Update to 0.4.7
- Install the manual shipped upstream

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Apr 25 2017 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.4.6-1
- update to 0.4.6

* Fri Feb 24 2017 Jens Petersen <petersen@redhat.com> - 0.4.5-3
- refresh to cabal-rpm-0.11.1

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 13 2017 Jens Petersen <petersen@redhat.com> - 0.4.5-1
- update to 0.4.5

* Sun Jun 26 2016 Jens Petersen <petersen@redhat.com> - 0.4.4-1
- update to 0.4.4
- disable tests since they hang

* Mon Mar  7 2016 Jens Petersen <petersen@redhat.com> - 0.3.8-1
- update to 0.3.8
- skip tests on armv7hl

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 26 2015 Dridi <dridi.boukelmoune@gmail.com> - 0.3.7-1
- bumped to version 0.3.7
- updated summary with cabal's synopsis
- removed profiling symbols causing an FTBFS
- replaced regex-compat with regex-tdfa

* Wed Jan 28 2015 Jens Petersen <petersen@redhat.com> - 0.3.5-1
- update to 0.3.5

* Tue Nov  4 2014 Jens Petersen <petersen@redhat.com> - 0.3.4-2
- disable tests on all archs (#1158522)
  - QuickCheck should really only be used for buildtime tests

* Thu Sep 11 2014 Dridi <dridi.boukelmoune@gmail.com> - 0.3.4-1
- bumped to version 0.3.4
- switched to hackage for the source tarball
- tests are now driven by cabal
- skip tests on ARM since TemplateHaskell fails

* Fri Sep  5 2014 Jens Petersen <petersen@redhat.com> - 0.3.3-2
- reenable pandoc on ARM

* Thu Sep 04 2014 Dridi <dridi.boukelmoune@gmail.com> - 0.3.3-1
- rebuilt after a dependency upgrade

* Sat Aug 30 2014 Dridi <dridi.boukelmoune@gmail.com> - 0.3.3-0
- bumped to version 0.3.3
- removed upstreamed patch

* Thu Aug 28 2014 Dridi <dridi.boukelmoune@gmail.com> - 0.3.1-9
- rebuilt after a dependency upgrade

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 17 2014 Jens Petersen <petersen@redhat.com> - 0.3.1-6
- fix shellcheck rpath instead of using ld.so.conf.d
- simplify doc files

* Sun Mar 16 2014 Dridi <dridi.boukelmoune@gmail.com> - 0.3.1-5
- added missing ld config

* Sat Mar 01 2014 Dridi <dridi.boukelmoune@gmail.com> - 0.3.1-4
- executable dynamically linked to the library (bug #1069048)

* Sun Feb 09 2014 Dridi <dridi.boukelmoune@gmail.com> - 0.3.1-3
- removed Setup.hs, now available upstream
- stop building the man page on ARM, no pandoc (bug #992430)
- simpler workaroudn for bug #1052117

* Wed Feb 05 2014 Dridi <dridi.boukelmoune@gmail.com> - 0.3.1-2
- build and install the man page

* Tue Feb 04 2014 Dridi <dridi.boukelmoune@gmail.com> - 0.3.1-1
- bumped to version 0.3.1
- added a workaround for the Fedora haskell toolchain (bug #1052117)

* Tue Dec 03 2013 Dridi <dridi.boukelmoune@gmail.com> - 0.2.0-3
- rebuilt

* Tue Dec 03 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.2.0-3
- s/shell/POSIX shell/ in summary
- LICENSE and README co-owned by sub-packages

* Sat Nov 30 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.2.0-2
- added a patch for "for arg do" loops (d4bc0f6)

* Sat Nov 23 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.2.0-1
- spec file generated by cabal-rpm-0.8.6
- added the description from the README
- fixed broken bits from the generated spec
